UbixOS V2 2.0

Functions
lib.h File Reference

Go to the source code of this file.

## Functions
void | bcopy (const void *src, void *dest, int len)
void | bzero (void *data, int n)
int | strlen (const char *str)
int | strncmp (const char *str1, const char *str2, int len)

## Function Documentation

## ◆ bcopy()

void bcopy | ( | const void * | src,
|  | void * | dest,
|  | int | len
| ) |  |

## ◆ bzero()

void bzero | ( | void * | data,
|  | int | n
| ) |  |

## ◆ strlen()

int strlen | ( | const char * | str | ) |

Definition at line 55 of file strlen.c.

Referenced by fatfs_filename_to_lfn(), fatfs_get_substring(), fatfs_lfn_create_sfn(), fatfs_lfn_entries_required(), fatfs_split_path(), fl_fputs(), lwip_strnstr(), pbuf_strstr(), strstr(), sys_fstatat(), sys_getcwd(), sysExec(), and ubixfs_cacheNew().

## ◆ strncmp()

int strncmp | ( | const char * | str1,
|  | const char * | str2,
|  | int | len
| ) |  |

Referenced by fatfs_mark_file_deleted(), fatfs_sfn_exists(), fatfs_update_file_length(), lwip_strnstr(), and strstr().